library tags;

import 'dart:async';
import 'dart:collection';

part 'src/model/command.dart';
part 'src/model/editor.dart';
part 'src/model/key_binding.dart';
part 'src/model/resources.dart';
part 'src/model/routed_command.dart';
part 'src/model/selections.dart';
part 'src/model/theme.dart';
part 'src/model/themeable.dart';
part 'src/model/toggleable.dart';
part 'src/model/tree.dart';
part 'src/builder.dart';
part 'src/custom.dart';
part 'src/dom.dart';
part 'src/html.dart';

Dom _dom;
/// The current Document Object Model used by this library.
/// 
/// The [Tag] builder functions delegate to this dom to create elements and 
/// nodes.  The dom is decoupled to allow for building trees of tags without a 
/// dependency on `dart:html`. 
/// 
/// This must be set by the user of this library prior to making any other
/// calls to this library.  This will typically be set in a `main` function or
/// other bootstrapping logic.  For example:
/// 
///     import 'package:tags/tags.dart' as tags;
///     import 'package:tags/html.dart';
///
///     main() {
///       tags.dom = HTML;
///       ...
///     }
Dom 
  get dom => _dom;
  set dom(Dom dom) {
    _dom = dom;
    _dom.registerElements();
  }
